Partio::ParticleAttribute Class Reference

Particle Collection Interface. More...

`#include <PartioAttribute.h>`

## Public Attributes

ParticleAttributeType | type
| Type of attribute. More...
int | count
| Number of entries, should be 3 if type is VECTOR. More...
std::string | name
| Name of attribute. More...
int | attributeIndex
| Internal method of fast access, user should not use or change. More...

## Detailed Description

Particle Collection Interface.

This class provides a handle and description of an attribute. This includes what type the primitive is, the number of entries, the name of the attribute and an index which speeds lookups of data

## Member Data Documentation

## attributeIndex

int Partio::ParticleAttribute::attributeIndex

Internal method of fast access, user should not use or change.

## count

int Partio::ParticleAttribute::count

Number of entries, should be 3 if type is VECTOR.

Referenced by Partio::ParticlesDataMutable::set().

## name

std::string Partio::ParticleAttribute::name

Name of attribute.

## type

ParticleAttributeType Partio::ParticleAttribute::type

Type of attribute.

Referenced by Partio::ParticlesData::data(), and Partio::ParticlesDataMutable::set().

The documentation for this class was generated from the following file:

- src/lib/PartioAttribute.h